For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETGet imports for DB
          • POSTCreate Import
          • GETGet Import by ID
          • POSTUpdates import
          • DELDelete Import
          • PUTUpdate import schedule
          • PUTUpdates the import with file delimiters
          • PUTUpdates the import's file_map after you've set the delimiters (see PUT|/dbs/{db_id}/imports/{import_id}/delimiters)
          • GETRetrieves auto detected imports
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformImports

Delete Import

DELETE
https://meta.feedonomics.com/api.php/dbs/:db_id/imports/:import_id
DELETE
/api.php/dbs/:db_id/imports/:import_id
$curl -X DELETE https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1 \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>"
200Deleted
1{}
Deletes an import by its ID.
Was this page helpful?
Previous

Updates import

Next

Update import schedule

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_iddoubleRequired
ID of the database that the import belongs to
import_iddoubleRequired
ID of the import

Headers

x-api-keystringRequired

Response

Delete Import